if(typeof tfsSessionData === 'undefined') {var tfsSessionData = {};}
if(typeof tfsPageData === 'undefined') {var tfsPageData = {};}
if(typeof tfsVisitorData === 'undefined') {var tfsVisitorData = {};}

/*
  Defining global variables for temporarily holding sendChatData variables
*/
if(typeof tfsSendDataScope === 'undefined') {var tfsSendDataScope = {};}
if(typeof tfsSendDataKey === 'undefined') {var tfsSendDataKey = {};}
if(typeof tfsSendDataValue === 'undefined') {var tfsSendDataValue = {};}

/**
* Populate 247 JS variables based on scope
*/
function addChatData(scope, key, value) {
  if(typeof key !== 'undefined' && typeof value !== 'undefined') {
    if(scope === 'session') {
      tfsSessionData[key] = value;
    } 
    else if(scope === 'page') {
      tfsPageData[key] = value;
    }
    else if (scope === 'visitor') {
      tfsVisitorData[key] = value;
    }
  }
}
        
function sendChatData(scope, key, value) {
  tfsSendDataScope = scope;
  tfsSendDataKey = key;
  tfsSendDataValue = value;

  sendTfsData();
}
/*    
 * Poll for tfsSendData() to be available and then send data immediately to 247
*/
function sendTfsData() {
  if(typeof tfsSendData === 'function') {
    clearTimeout(pxSendDataTimer);
    var jsonObject = {};
    jsonObject["type"] = "onClick";
    jsonObject[tfsSendDataKey] = tfsSendDataValue;
    tfsSendData(tfsSendDataScope, jsonObject);
  }
  else {
    var pxSendDataTimer = window.setTimeout(sendTfsData, 500);
  }
}