// Begin Global references
// These are accessible, and in some cases, set in the VM pages
var gRedirectAfter = 60;// number of seconds to wait before redirecting the user  
var gSessionTimeoutURL = ""; // URL to relocate the user to once they have timed out  
var gKeepAliveURL = ""; // URL to call to keep the session alive  
var gIdleTime = 1130000; // number of miliseconds until the user is considered idle  
var gSessionTimeoutWarningDialog = null;
var gWindowRef = "";
// End Global references

// Scope is only for this file
var idleTimer = null;
var running = false; // var to check if the countdown is running  
var timer; // reference to the setInterval timer so it can be stopped  
var lastEventTime = 0;
// Handler to execute when there is user activity
function handleUserActivity(){
    clearTimeout(idleTimer);
    if(!running){
        // start the idle timer  
        idleTimer =  setTimeout(function(){
            running = true;  
            // if the user is idle and a countdown isn't already running  
            var counter = gRedirectAfter;  
            running = true;  
            // intialize timer  
            $('#sessionTimeoutCountdown').html(gRedirectAfter); 

            // open dialog  
            // Can be null on page load in IE
            if (null == gSessionTimeoutWarningDialog) {
            	gSessionTimeoutWarningDialog = gWindowRef.document.getElementById("sessionTimeoutWarning");
            }
        
           // Destroy the Third Party Site Disclaimer dialog/modal  before opening the Session Timeout dialog/modal
           if ($('#disclaimerBox').length && disclaimerVisible=="true"){
        	   jQuery("#disclaimerBox").modal("destroy");
           }
           
          // Destroy the Contact Point Delete Confirmation dialog/modal  before opening the Session Timeout dialog/modal
           if ($('#deleteConfirmationBox').length && deleteConfirmationVisible=="true"){
        	   jQuery("#deleteConfirmationBox").modal("destroy");
           }
           
           gSessionTimeoutWarningDialog.modal('open');  
   
            // create a timer that runs every second  
            timer = setInterval(function(){  
                counter -= 1;  
                // if the counter is 0, redirect the user  
                if(counter === 0) {
                    clearInterval(timer);
                    gWindowRef.location = gSessionTimeoutURL;  
                }else{
                    $('#sessionTimeoutCountdown').html(counter);  
                }
            }, 1000);  
        }, gIdleTime);
    }
}
// Handler close dialog and extend user session
function continueOnlineBanking() {
     jQuery('#sessionTimeoutWarning').modal('close');
}
