/* Rule Id: 913138 */
/* OnlineOpinion v5.9.0 Released: 11/17/2014. 
Compiled 11/17/2014 01:01:01 PM -0600 
Branch: master 7cffc7b9a0b11594d56b71ca0cb042d9b0fc24f5 
Components: Full 
UMD: disabled 
The following code is Copyright 1998-2014 Opinionlab, Inc. All rights reserved. Unauthorized use is prohibited. This product and other products of OpinionLab, Inc. are protected by U.S. Patent No. 6606581, 6421724, 6785717 B1 and other patents pending. http://www.opinionlab.com    
*/

/* Capture query string param by name */
function qs(name) {
  var query = window.location.search.substring(1);
  var params = query.split('&');
  for (var i = 0; i < params.length; i++) {
    if (params[i].search(name + '=') !== -1) {
      var pa = params[i].split('=');
      return pa[1];
    }
  }
}

/* Define the replace pattern and country code variables */
var rp = '://' + window.location.hostname,
  cc = qs('CountryCode') || OOo.readCookie('ISSO_CNTRY_CODE'),
  isServicing = /servicing\.capitalone\.com/i.test(window.location.hostname);

/* Conditionally adjust replace pattern for servicing.capitalone.com hostname */
if (isServicing) {
  switch (cc) {
    case 'CA':
      rp = '://ca-en.servicing.capitalone.com';
      break;
    default:
      rp = '://us-en.servicing.capitalone.com';
  }
}

/* [+] Inline Feedback configuration */
window.oo_feedback = new OOo.Ocode({
  referrerRewrite: {
    searchPattern: /:\/\/[^\/]*/,
    replacePattern: rp
  },
  customVariables: {
    s_vi: OOo.readCookie('s_vi')
  }
});